Date: Tue, 4 Nov 1997 09:50:02 +0100 (CET)
From: Geert Uytterhoeven <Geert.Uytterhoeven@cs.kuleuven.ac.be>
To: Jes Sorensen <Jes.Sorensen@cern.ch>,
        Peter De Schrijver <schrijvp@sh.bel.alcatel.be>
Cc: linux-m68k@lists.linux-m68k.org
Subject: Re: L68K: Linux-2.1.61
In-Reply-To: <199711011817.TAA17474@valhall.cern.ch>
Sender: owner-linux-m68k@phil.uni-sb.de

On Sat, 1 Nov 1997, Jes Sorensen wrote:
> I just released 2.1.61, you can find it in the usual place at
> SunSITE.auc.dk. 

> Apollo patches (Peter De Schrijver).

Peter, shouldn't you register a mouse minor with Peter Anvin
(hpa@transmeta.com), instead of hijacking the second amigamouse?

What reminds me of something different: wouldn't it be better to allocate 
busmouse minors on the fly, i.e. first mouse (10, 0), second mouse (10, 1)?
This would make it easier to support multiple ADB mice, too.


The are also some missing symbols for smbfs (does this work on big-endian
machines yet?):

  - shrink_dcache_sb
  - truncate_inode_pages

But this is definitely not m68k-specific.


Last but not least: the usual patches:

diff -u --recursive --exclude-from=/home/geert/diff-excludes-linux --new-file /usr/src/m68k-2.1.61/arch/m68k/kernel/m68k_ksyms.c m68k-2.1.61/arch/m68k/kernel/m68k_ksyms.c
--- /usr/src/m68k-2.1.61/arch/m68k/kernel/m68k_ksyms.c	Mon Nov  3 17:25:46 1997
+++ m68k-2.1.61/arch/m68k/kernel/m68k_ksyms.c	Mon Nov  3 21:04:47 1997
@@ -26,7 +26,6 @@
 
 /* platform dependent support */
 
-EXPORT_SYMBOL(memcmp);
 EXPORT_SYMBOL(m68k_machtype);
 EXPORT_SYMBOL(m68k_cputype);
 EXPORT_SYMBOL(m68k_is040or060);
@@ -59,3 +58,5 @@
 EXPORT_SYMBOL_NOVERS(__down_failed);
 EXPORT_SYMBOL_NOVERS(__down_failed_interruptible);
 EXPORT_SYMBOL_NOVERS(__up_wakeup);
+
+EXPORT_SYMBOL_NOVERS(memcmp);
diff -u --recursive --exclude-from=/home/geert/diff-excludes-linux --new-file /usr/src/m68k-2.1.61/drivers/block/ide-probe.c m68k-2.1.61/drivers/block/ide-probe.c
--- /usr/src/m68k-2.1.61/drivers/block/ide-probe.c	Mon Nov  3 17:25:47 1997
+++ m68k-2.1.61/drivers/block/ide-probe.c	Mon Nov  3 21:04:47 1997
@@ -68,8 +68,6 @@
 
 #include "ide.h"
 
-#define DEBUG
-
 static inline void do_identify (ide_drive_t *drive, byte cmd)
 {
 	int bswap = 1;
diff -u --recursive --exclude-from=/home/geert/diff-excludes-linux --new-file /usr/src/m68k-2.1.61/drivers/sound/dmasound.c m68k-2.1.61/drivers/sound/dmasound.c
--- /usr/src/m68k-2.1.61/drivers/sound/dmasound.c	Mon Nov  3 17:25:50 1997
+++ m68k-2.1.61/drivers/sound/dmasound.c	Mon Nov  3 21:52:54 1997
@@ -671,10 +671,10 @@
 static int sound_fsync(struct file *filp, struct dentry *dentry);
 static int sound_release(struct inode *inode, struct file *file);
 static long long sound_lseek(struct file *file, long long offset, int orig);
-static long sound_read(struct inode *inode, struct file *file, char *buf,
-		       unsigned long count);
-static long sound_write(struct inode *inode, struct file *file,
-			const char *buf, unsigned long count);
+static ssize_t sound_read(struct file *file, char *buf, size_t count,
+			  loff_t *ppos);
+static ssize_t sound_write(struct file *file, const char *buf, size_t count,
+			   loff_t *ppos);
 static inline int ioctl_return(int *addr, int value)
 {
     if (value < 0)
@@ -3121,9 +3121,10 @@
 }
 
 
-static long sound_read(struct inode *inode, struct file *file, char *buf,
-		       unsigned long count)
+static ssize_t sound_read(struct file *file, char *buf, size_t count,
+			  loff_t *ppos)
 {
+    struct inode *inode = file->f_dentry->d_inode;
     int dev = MINOR(inode->i_rdev);
 
     switch (dev & 0x0f) {
@@ -3139,9 +3140,10 @@
 }
 
 
-static long sound_write(struct inode *inode, struct file *file,
-			const char *buf, unsigned long count)
+static ssize_t sound_write(struct file *file, const char *buf, size_t count,
+			   loff_t *ppos)
 {
+    struct inode *inode = file->f_dentry->d_inode;
     int dev = MINOR(inode->i_rdev);
 
     switch (dev & 0x0f) {

Greetings,

						Geert

--
Geert Uytterhoeven                     Geert.Uytterhoeven@cs.kuleuven.ac.be
Wavelets, Linux/{m68k~Amiga,PPC~CHRP}  http://www.cs.kuleuven.ac.be/~geert/
Department of Computer Science -- Katholieke Universiteit Leuven -- Belgium

